| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/RecurrencyDay |
| Production | put | https://api.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/RecurrencyDay |
When changing the recurrence day, consider the following rules for updating via API:
- If the new day provided is after the current day, we will update the recurrence day to take effect on the next recurrence.
Example: Today is May 5 and the next recurrence is May 25. When updated to day 10, the next recurrence date will be May 10.
- If the new day provided is before the current day, we will update the recurrence day, but it will only take effect after the next recurrence is successfully processed.
Example: Today is May 5 and the next recurrence is May 25. When updated to day 3, the next recurrence date will remain May 25. After it is processed, the following recurrence will be scheduled for June 3.
- If the new day provided is before the current day, but the next recurrence is in another month, we will update the recurrence day to take effect on the next recurrence.
Example: Today is May 5 and the next recurrence is September 25. When updated to day 3, the next recurrence date will be September 3.
Request
put https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/RecurrencyDay
--request PUT "https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/RecurrencyDay"
--header "Content-Type: application/json"
--header "MerchantId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--header "MerchantKey: 0123456789012345678901234567890123456789"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
16
--verboseBelow are the field properties in this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for dual authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT |
| Property (body) | Description | Type | Size | Required? |
|---|---|---|---|---|
RecurrentPaymentId | Recurrence identification number. | Text | 50 | Yes (send in the endpoint) |
RecurrencyDay | Recurrence day. | Number | 2 | Yes |
Response
HTTP Status 200Refer to the HTTP status codes list to see all status codes that may be returned by the API.